[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#422624: postinst failure starting mdadm-raid



> I feel confident to reassign this to usplash. If I log the end of an action
> with a failure message, the command should not return with a non-zero exit code
> since logging the failure was actually successful. Standard lsb-base logging
> functions properly return 0 here, so this is what usplash should do too.
> 
> Here is the patch against /etc/lsb-base-logging.sh to fix this.
> 
> --- /tmp/lsb-base-logging.sh  2007-05-08 10:08:24.000000000 +0200
> +++ /etc/lsb-base-logging.sh  2007-05-08 10:09:20.000000000 +0200
> @@ -119,7 +119,7 @@
>              echo "   ...fail!"
>          fi
>      fi
> -    return $1
> +    return 0
>  }
>  
>  log_action_msg () {

Here is an updated patch:

08 10:42 < madduck> maks: log_action_end_msg does not return $1, only log_end_msg does
08 10:42 < madduck> in lsb_base
08 10:42 < madduck> i am using log_action_end_msg
08 10:43 < madduck> and in usplash, log_end_msg just calls log_action_end_msg, thus returns $1
08 10:44 < madduck> thus, this is the more appropriate patch

--- /tmp/lsb-base-logging.sh  2007-05-08 10:44:01.000000000 +0200
+++ /etc/lsb-base-logging.sh  2007-05-08 10:44:14.000000000 +0200
@@ -140,5 +140,5 @@
 
 log_action_end_msg () {
     # In the future this may do something with $2 as well.
-    log_end_msg "$1"
+    log_end_msg "$1" || :
 }

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems

Attachment: signature.asc
Description: Digital signature (GPG/PGP)


Reply to: